//-----------遠端資料庫-----------
function main_PathMysqlConnection_click(that)
{
	var Class = new Path();
	Class.ClearTheDivOfTheTail(that, "#Main_Top-Path");
	$("#Main_Left-List").css("display", "block");
	Class = new MysqlConnectionSecondPage();
	Class.NoConfirmButton();
	Class = null;
}
function main_MysqlConnection_click(that)
{
	var LeftDivId="#Main_Left-List";
	var Class = new ListCommon();
	Class.ChangeDivCss(that, LeftDivId);
	Class = new Path();
	Class.LoadPathHtml($(that).text(), 1, "main_PathMysqlConnection_click(this)");

	Class = new LoadHtml();
	var Html = Class.GetVariableTranslationHtml(Global_MysqlConnectionCss);
	Html = Html + Class.GetVariableTranslationHtml(Global_MysqlConnectionFirstPageHtml);
	Html = Html + Class.GetVariableTranslationHtml(Global_MysqlConnectionSecondPageHtml);
	$("#Main_Center-Content").empty();
	$("#Main_Center-Content").append(Html);
	Class = new MysqlConnectionFirstPage();
	Class.Initialization();
	Class = null;
}
//-----------遠端資料庫-----------
  //第1頁
function main_MysqlConnectionAddNewRow_click(that)
{
	var Class = new MysqlConnectionFirstPage();
	Class.AddNewRow(that);
	Class = null;
}
function main_MysqlConnectionDelete_click(that)
{
	var Class = new MysqlConnectionFirstPage();
	if(Class.IsTickedMysqlConnection() == false)
	{
		$(that).closest(".Column").find(".Message").eq(0).show();
		return 0;
	}
	$(that).closest(".Column").find(".Message").eq(0).hide();
	Class.DeleteMysqlConnection(that);
	Class = null;
}
function main_MysqlConnectionEditButton_click(that)
{
	var Class = new MysqlConnectionFirstPage();
	Class.EditButton(that);
	Class = null;
}
function main_MysqlConnectionChangeAllCheckbox_click(that)
{
	var DataModelId = $(that).closest(".Table").attr("id");
	var Bool = $(that).closest(".Row").find(":checkbox").prop("checked");
	$("#"+DataModelId).find(".DynamicRow").find(":checkbox").prop("checked",Bool);
}
function main_MysqlConnectionShowPreviousPage_click()
{
	var Class = new MysqlConnectionFirstPage();
	Class.ShowPreviousPage();
	Class = null;
}
function main_MysqlConnectionShowNextPage_click()
{
	var Class = new MysqlConnectionFirstPage();
	Class.ShowNextPage();
	Class = null;
}
function main_MysqlConnectionSaveButton_click(that)
{
	var Class = new MysqlConnectionFirstPage();
	Class.SaveButton(that);
	Class = null;
}
  //第2頁
function main_MysqlConnectionConfirmButton_click(that)
{
	var Class = new MysqlConnectionSecondPage();
	Class.ConfirmButton(that);
	Class = null;
}
function main_MysqlConnectionNoConfirmButton_click()
{
	var Class = new MysqlConnectionSecondPage();
	Class.NoConfirmButton();
	Class = null;
}
function main_MysqlConnectionTestConnection_click(that)
{
	var Class = new MysqlConnectionSecondPage();
	Class.TestConnection(that);
	Class = null;
}